Package org.apache.synapse.transport.fix

## Interface SessionEventHandler

-     public interface SessionEventHandler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `fromAdmin​(FIXIncomingMessageHandler fixIncomingMessageHandler, quickfix.Message message, quickfix.SessionID sessionID)` |
    `void` | `onCreate​(FIXIncomingMessageHandler fixIncomingMessageHandler, quickfix.SessionID sessionID)` |
    `void` | `onLogon​(FIXIncomingMessageHandler fixIncomingMessageHandler, quickfix.SessionID sessionID)` |
    `void` | `onLogout​(FIXIncomingMessageHandler fixIncomingMessageHandler, quickfix.SessionID sessionID)` |
    `void` | `toAdmin​(FIXIncomingMessageHandler fixIncomingMessageHandler, quickfix.Message message, quickfix.SessionID sessionID)` |
    `void` | `toApp​(FIXIncomingMessageHandler fixIncomingMessageHandler, quickfix.Message message, quickfix.SessionID sessionID)` |

- - ### Method Detail

    - #### onCreate

          void onCreate​(FIXIncomingMessageHandler fixIncomingMessageHandler,
                        quickfix.SessionID sessionID)

    - #### onLogon

          void onLogon​(FIXIncomingMessageHandler fixIncomingMessageHandler,
                       quickfix.SessionID sessionID)

    - #### onLogout

          void onLogout​(FIXIncomingMessageHandler fixIncomingMessageHandler,
                        quickfix.SessionID sessionID)

    - #### toAdmin

          void toAdmin​(FIXIncomingMessageHandler fixIncomingMessageHandler,
                       quickfix.Message message,
                       quickfix.SessionID sessionID)

    - #### fromAdmin

          void fromAdmin​(FIXIncomingMessageHandler fixIncomingMessageHandler,
                         quickfix.Message message,
                         quickfix.SessionID sessionID)

    - #### toApp

          void toApp​(FIXIncomingMessageHandler fixIncomingMessageHandler,
                     quickfix.Message message,
                     quickfix.SessionID sessionID)